Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 13:28:56 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, I have ordered shoes online on 1st March. Untill now I have not received shoes and it has been 9 days. I was supposed to pick up shoes from shoe express masdar city center. I have already contacted help line on 6th March and they told me that it will be delivered in 1 day but again  untill today I have not received any information about my order. It was supposed to be ready for pick up in 2 days but it has been more than 1 week now. If you cannot deliver you should not promise and lie on your website about delivery in 2 days. It is like nobody care about customers at centrpoint nobody bothers. I am not going to order or purchase again from any of the centrpoint brands  after this pethetic service experience. If you cannot deliver today please cancel order and return my money https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5815945